Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06350 Debugger Critical (emulator) Always Aug 17, 2016, 10:38 14 days ago
Tester ozfalcon View Status Public Platform MAME (Self-compiled)
Assigned To cuavas Resolution Fixed OS Linux (32-bit)
Status [?] Resolved Driver
Version 0.176 Fixed in Version 0.229 Build
Fixed in Git Commit 83c9637 Github Pull Request #
Summary 06350: Debug: Memory View: Right click in "Debug: Memory View" causes Segmentation Fault or OS Freeze
Description Using self compiled 32 bit sdlmame on an up to date Debian system.
When Mame is run in debug mode, Certain Regions selected in "Debug: Memory View" cause Segmentation Fault or OS Freeze when right mouse button is clicked.

Warning - Recovery from OS Freeze was not possible and the power button was the only alternative.
Steps To Reproduce Load Mame/Game in debug mode.

>sdlmame -d galaga

Select the debug window and press CTRL+M to open a new memory window.

Select the "Region :54xx:mcu" from the dialog. Specifically choose this one to reproduce the bug.

Right click in the data window resulting in either Mame Segmentation Faulting or the OS Freezing.
Additional Information When "help general" is typed in the debug window, It is noted for "pcatmemi" command:

-- query which PC wrote to a given I/O memory address for the current CPU
(Note: you can also query this info by right clicking in a memory window)
Github Commit
Flags
Regression Version
Affected Sets / Systems Debug: Memory View
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.13054
Tafoid
Administrator
Aug 17, 2016, 12:15
Tried 32 and 64-bit in Windows binaries from MAMEDEV.org and could not replicate crash/freeze. I am unsure about the function to right click memory window if that is still something that happens or has been phased out? The Debugger has/is going through constant revision and refinement all the time.

Took "32-bit specific" flag off this report since there was no indication that you tested both both 32 and 64-bit builds and it could only be replicated using 32-bit.
User avatar
No.13067
B2K24
Senior Tester
Aug 26, 2016, 02:09
Can't repo on Windows as well.
User avatar
No.13081
ozfalcon
Tester
Aug 28, 2016, 08:53
Could be a Debian "Testing" release issue, I'll keep an eye on OS updates and post any changes.
User avatar
No.20825
Firewave
Senior Tester
14 days ago
I am not able to reproduce this with 0.249 on Windows or Linux. There are also no UBSAN/ASAN errors.

Closing as this could never be confirmed.
User avatar
No.20830
cuavas
Administrator
14 days ago
The Qt debugger used to assume that all memory views were backed by an address space, and would crash on right-click if they weren’t.
User avatar
No.20831
cuavas
Administrator
14 days ago
The issue was real. It affected the Qt debugger on all host operating systems, but not the Win32 and Cocoa debuggers. You could reproduce it by opening a memory window, selecting any source that isn’t an address space (region, save item, etc.) and right-clicking in the memory view. MAME would crash with an access violation on dereferencing a null pointer.